TopoDS_TFace #5由Geom_Surface加上TopoDS_TWire构成,其中TopoDS_TWire可以理解成边界。 Geom_Plane #2 就是圆柱上表面所在平面,Geom_Plane在u,v方向的参数范围都是[-∞,+∞] 边界TopoDS_TWire中包含了一个TopoDS_TEdge引用的链表,具体存储Edge的Brep信息在TopoDS_TEdge的子类BRep_TEdge中,包含的数据信息有 Stan...
解析TopoDS_TFace #5,它由Geom_Surface和TopoDS_TWire构成,TopoDS_TWire可以理解为边界。其中,Geom_Plane #2是圆柱上表面所在的平面,其在u,v方向的参数范围是无限大。TopoDS_TWire包含一个由TopoDS_TEdge引用的链表,其存储的Edge信息在BRep_TEdge中,包含Brep信息,关注点在于myCurves信息。每个Edge...
Handle_Geom_BezierSurface BS2 = new Geom_BezierSurface(array2); Handle_Geom_BezierSurface BS3 = new Geom_BezierSurface(array3); Handle_Geom_BezierSurface BS4 = new Geom_BezierSurface(array4); TColGeom_Array2OfBezierSurface bezierarray(1,2,1,2); bezierarray.SetValue(1,1,BS1); bezierarr...
// Profile : Define Support Pointsgp_PntaPnt1(-myWidth/2.,0,0);gp_PntaPnt2(-myWidth/2.,-myThickness/4.,0);gp_PntaPnt3(0,-myThickness/2.,0);gp_PntaPnt4(myWidth/2.,-myThickness/4.,0);gp_PntaPnt5(myWidth/2.,0,0);// Profile : Define the GeometryHandle(Geom_TrimmedCurve)...
#include <Geom_Plane.hxx> #include <Geom_CylindricalSurface.hxx> #include <Geom_ConicalSurface.hxx> #include <Geom_SphericalSurface.hxx> #include <Geom_ToroidalSurface.hxx> #include <Geom_BSplineSurface.hxx> #include <GeomAdaptor_Surface.hxx> ...
}voidtestPolyhedron(){// Plane surface polyhedron.Handle(Geom_Plane) aPlane =newGeom_Plane(gp::XOY());Handle(GeomAdaptor_Surface) aSurfaceAdaptor =newGeomAdaptor_Surface(aPlane,0.0,10.0,0.0,20.0);IntPatch_PolyhedronaPlanePolyhedron(aSurfaceAdaptor);writeStl(aPlanePolyhedron,"d:/plane.stl");/...
Handle(Geom_Plane) aPlane=Handle(Geom_Plane)::DownCast(aSurface); } 1. 2. 3. 4. 14、BRepOffisetAPI_XXX一般称为形体生成包,用于将线框模型生成实体模型。 BRepOffsetAPI_ThruSections aTool(Standard_True); aTool.AddWire(threadingWire1); ...
std::ofstream dumpFile("geometrySurface.txt");//Surface record 1 - Plane.//Example: 1 0 0 3 0 0 1 1 0 -0 -0 1 0Handle_Geom_Plane thePlane =newGeom_Plane(gp_Pnt(0,0,3), gp_Dir(0,0,1)); GeomTools::Write(thePlane, dumpFile); ...
//Surface record 1 - Plane. //Example: 1 0 0 3 0 0 1 1 0 -0 -0 1 0 Handle_Geom_Plane thePlane=newGeom_Plane(gp_Pnt(0,0,3), gp_Dir(0,0,1)); GeomTools::Write(thePlane, dumpFile); GeomTools::Dump(thePlane, dumpFile); ...
类的基类是 Geom_Geometry 类; Geom_RectangularTrimmedSurface 类: 用来生成一个有边界的平面; 比如: Handle(Geom_Plane) aProjectionPlane = GC_MakePlane(ProjectionPlane).Value(); Handle(Geom_RectangularTrimmedSurface) aProjectionPlaneSurface= new Geom_RectangularTrimmedSurface(aProjectionPlane,-8.,8.,-...